<?php $title = $params['news']->getTitle(); ?>
<h1>News</h1>
<div class="card">
    <header class="card-header">
        <p class="card-header-title">
            <?= $params['news']->getTitle() ?>
        </p>
    </header>
    <div class="card-content">
        <div class="content">
            <?= $params['news']->getContent() ?>
        </div>
    </div>
</div>

<section class="section comments">
    <?php foreach ($params['comments'] as $comment) : ?>
        <article class="message">
            <header class="message-header">
                From <?= $comment->getAuthorLogin() ?> published on <?= $comment->getPublicationDate()->format('Y-m-d H:i:s') ?>
            </header>
            <div class="message-body">
                <?= $comment->getContent() ?>
            </div>
        </article>
    <?php endforeach; ?>
    <?php if ($security->getCurrentUserId() !== null) : ?>
        <form action="<?= $router->url('comment/' . $params['news']->getId()) ?>" method="post">
            <div class="field">
                <label class="label" for="content">Comment</label>
                <div class="control">
                    <textarea class="textarea" id="content" name="content"></textarea>
                </div>
            </div>

            <div class="field">
                <div class="control">
                    <button class="button is-link">Submit</button>
                </div>
            </div>
            </form>
        <?php endif; ?>
</section>
